[android-components](../../index.md) / [mozilla.components.feature.addons.ui](../index.md) / [AddonsManagerAdapterDelegate](index.md) / [onInstallAddonButtonClicked](./on-install-addon-button-clicked.md)

# onInstallAddonButtonClicked

`open fun onInstallAddonButtonClicked(addon: `[`Addon`](../../mozilla.components.feature.addons/-addon/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/addons/src/main/java/mozilla/components/feature/addons/ui/AddonsManagerAdapterDelegate.kt#L25)

Handler for when the install add-on button is clicked.

### Parameters

`addon` - The [Addon](../../mozilla.components.feature.addons/-addon/index.md) to install.